Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/title/Bug_reporting_guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#53040 - [kpackage] CMAKE_INSTALL_FULL_LIBEXECDIR_KF5 should be specified

Attached to Project: Arch Linux
Opened by Frederick Zhang (FrederickZh) - Tuesday, 21 February 2017, 15:02 GMT
Last edited by Antonio Rojas (arojas) - Tuesday, 21 February 2017, 16:09 GMT
Task Type Bug Report
Category Packages: Extra
Status Closed
Assigned To No-one
Architecture All
Severity High
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Description:

In src/kpackage/private/packagejobthread.cpp, it relies on CMAKE_INSTALL_FULL_LIBEXECDIR_KF5 to locate the resolve handlers.

static QString resolveHandler(const QString &scheme)
{
QString candidatePath = QStringLiteral(CMAKE_INSTALL_FULL_LIBEXECDIR_KF5 "/kpackagehandlers/%1handler").arg(scheme);
if (qEnvironmentVariableIsSet("KPACKAGE_DEP_RESOLVERS_PATH")) {
candidatePath = QStringLiteral("%1/%2handler").arg(qgetenv("KPACKAGE_DEP_RESOLVERS_PATH"), scheme);
}
return QFile::exists(candidatePath) ? candidatePath : QString();
}

If the cmake parameter is not given, the candidatePath would be /usr/lib/libexec/kf5 by default, however the folder is actually located in /usr/lib/kf5.

This issue breaks the installations of all packages that requires "kns://" or "appstream://" dependencies. Linking /usr/lib/kf5 to /usr/lib/libexec/kf5 temporarily resolves the issue.

Additional info:
* package version: kpackage 5.31.0-1

Steps to reproduce:
1. Run "kcmshell5 kcm_lookandfeel"
2. Install a Look and Feel package, e.g. ELPlas
3. Fails. Error code 4.
This task depends upon

Closed by  Antonio Rojas (arojas)
Tuesday, 21 February 2017, 16:09 GMT
Reason for closing:  Fixed
Additional comments about closing:  kpackage 5.31.0-2

Loading...